<template>
  <!-- หน้าแสดงรอบหนัง -->
  <div class="home">
    <h1 class="primary--text">Select seat</h1>

    <v-divider></v-divider>

    <v-container class="my-2">
      <v-layout row wrap>
        <v-flex justify-center xs4 sm4 md5 lg3>
          <img height="350px" :src="movies.image">
        </v-flex>

        <v-flex justify-center xs10 sm10 md7 lg9>
          <h1 class="font-weight-bold">{{ movies.movie_name }}</h1>
          <h2 class="font-weight-light">{{movies.datail}}</h2>
          <br>

          <h2 class="font-weight-light">Type : {{movies.genra}} | {{movies.time}}</h2>
          <h2 class="font-weight-light">Rate : {{movies.rate}}</h2>
          <!-- <h2 class="font-weight-light">Showtime : {{movies.rate}}</h2> -->
        </v-flex>

        <v-flex justify-center xs12 sm12 md12 lg12>
          <v-btn
            outline
            color="#d50000"
            class="#d50000--text right"
            v-for="link in changeShowtime"
            :key="link.text"
            router
            :to="link.route"
          >change Showtime</v-btn>
        </v-flex>
      </v-layout>

      <v-layout row wrap>
        <v-flex xs12>
          <v-card-title></v-card-title>
          <!-- <getSeatfromDB/> -->
          <Seat2/>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
import Seat2 from "@/components/Seat2";
import showTime from "@/components/showTime";
// import SeatfromDB from "@/components/getSeatfromDB";

export default {
  components: {
    Seat2,
    showTime
    // getSeatfromDB
  },
  data() {
    return {
      changeShowtime: [{ text: "choose showtime", route: "/showtime" }],
      movies: []
    };
  },
  beforeCreate() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
  },
  async created() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    try {
      var { data } = await this.axios.get(
        "http://192.168.253.153:3005/movie/" + mid
      );
      //   console.log(data);
      this.movies = data;
      console.log(this.movies);
    } catch (error) {
      console.log(error.message);
    }
  }
};
</script>

